Dragons RFC vs Benetton Rugby · United Rugby Championship
United Rugby Championship · 2025-26Full time

15–15
Match report
Dragons RFC and Benetton Rugby drew 15-15 at Rodney Parade, Newport in round 12 of the United Rugby Championship on Saturday, 28 February 2026.
Written automatically from the match data; updated as results come in.
Head to head
1
Dragons RFC wins (11%)
3
Draws (33%)
5
Benetton Rugby wins (56%)
Last 9 meetings, since November 2020
Biggest Dragons RFC win
26–19
29 Nov 2020
Biggest Benetton Rugby win
74–21
10 Jan 2026
Last 5 meetings
- 25 Sept 2026 · United Rugby ChampionshipBenetton Rugby19Dragons RFC1925 Sept 2026Benetton Rugby19–19Dragons RFCUnited Rugby Championship
- 28 Feb 2026 · United Rugby ChampionshipDragons RFC15Benetton Rugby1528 Feb 2026Dragons RFC15–15Benetton RugbyUnited Rugby Championship
- 10 Jan 2026 · Challenge CupBenetton Rugby74Dragons RFC2110 Jan 2026Benetton Rugby74–21Dragons RFCChallenge Cup
- 19 Oct 2024 · United Rugby ChampionshipDragons RFC21Benetton Rugby3119 Oct 2024Dragons RFC21–31Benetton RugbyUnited Rugby Championship
- 20 Apr 2024 · United Rugby ChampionshipBenetton Rugby36Dragons RFC1920 Apr 2024Benetton Rugby36–19Dragons RFCUnited Rugby Championship
Lineups
Avg. age
27.1
Avg. age
28.5
Dragons RFC
- 1Rodrigo Martinez(28)
- 2Brodie Coghlan(25)
- 3Christian Coleman(28)
- 4Levi Douglas(31)
- 5Seb Davies(30)
- 6Ryan Woodman(22)
- 7Harry Beddall(21)
- 8Shane Lewis-Hughes(29)
- 9Che Hope(23)
- 10Tinus De Beer(30)
- 11Rio Dyer(26)
- 12Aneurin Owen(26)
- 13Fine Inisi(28)
- 14David Richards(27)
- 15Angus O'Brien(32)
Replacements
- 17Jordan Morris(22)
- 18Owain James(21)
- 19Barny Langton(25)
- 20Evan Minto(20)
- 21Rhodri Williams(33)
- 22Fetuli Paea(32)
- 23Cai Evans(27)
Benetton Rugby
- 1Thomas Gallo(27)
- 2Bautista Bernasconi(25)
- 3Giosuè Zilocchi(29)
- 4Giulio Marini(24)
- 5Eli Snyman(30)
- 6Alessandro Izekor(26)
- 7Jadin Kingi(24)
- 8Riccardo Favretto(25)
- 9Andy Uren(30)
- 10Jacob Umaga(28)
- 11Rhyno Christo Smith(33)
- 12Malakai Fekitoa(34)
- 13Paolo Odogwu(29)
- 14Onisi Ratave(34)
- 15Matt Gallagher(29)
Replacements
- 16Nicholas Gasperini(22)
- 17Destiny Aminu(23)
- 18Tiziano Pasquali(32)
- 19Scott Scrafton(33)
- 20Nelson Casartelli(21)
- 21Cristiano Tizzano(23)
- 22Filippo Drago(24)
- 23Ignacio Mendy(26)